import { env } from '$env/dynamic/private';
import { S3Client } from '@aws-sdk/client-s3';

export const s3 = new S3Client({
    region: 'eu-central',
    endpoint: `https://${env.S3_HOST}`,
    forcePathStyle: true, // Required for many custom S3 endpoints
    credentials: {
        accessKeyId: env.S3_ACCESS_KEY,
        secretAccessKey: env.S3_SECRET_KEY
    }
});
